# readclip

readclip reads the My\ Clippings.txt from your kindle device and exports it to Markdown.

You will need to have python3 with argparse module (should be by default) installed.

## Useage
Copy the `My\ Clippings.txt` from your Kindle device. Usually all your highlighting and notes are
exported with the marked text in that plain text file.

*Hint:* If you copy a pdf directly on your device, the Clippings-file gets empty. You'll need to
send the pdf via email to your kindle. I really don't know why or how you can do it without amazon.
If someone knows how to do that, please tell me.

python readClip.py [-b Booktitle] [-i path/to/Clippings.txt]

You can use the bash to save the output to a file: python readClip.py > output.md

### Booktitle
You can search for one booktitle with -b or just print all books. It is not neccessary to include
the whole title, it is enough to find a matching with the title. If you have a lot of similar
titles, you may want to specify the search. Otherwise just the first finding will get printed.

### Clippings
Per default the script searches for `My\ Clippings.txt` in the working directory.

# Lizenz
<a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png" /></a><br />All of this work (in all branches and commits) is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
